BizKitHub
DocsAPI ReferenceChat/bff/chat/message
postChatAdmin BFF

/bff/chat/message

Append a message to a chat room

ChatpostBffChatMessage

Parameters

JSON body

Request body

application/json
roomIdstringRequired
Length: 2424
contentstringRequired
Length: 1
role"user" | "assistant" | "system" | "tool" | "member"Optional
toolCallsobject[]Optional
Each array item:
object
markProblematicbooleanOptional
metadataobjectOptional

Response schema

1 status code documented

200Success
object | object
One of 2:
Variant 1
state"ok"Required
idstringRequired
positionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Variant 2
state"not-found"Required

Response example

application/json
{
  "state": "ok",
  "id": "example_id"
}

Request example

POST /bff/chat/message

post
curl -X POST "https://api.bizkithub.com/bff/chat/message" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "content": "example_content",
  "toolCalls": [
    {}
  ],
  "markProblematic": false,
  "metadata": {}
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key